class eid::telegraf($version="stable") {
   $influxdb2_token = hiera("influxdb2_token","NOT_SET_IN_HIERA")
   file {['/etc/telegraf','/etc/telegraf/telegraf.conf.d']: ensure => directory } =>
   concat {'/etc/telegraf/telegraf.conf':
      owner     => 'root',
      group     => 'root',
      mode      => '0644',
      notify    => Sunet::Docker_run['telegraf']
   }
   
   glob(["/etc/telegraf/telegraf.conf.d/**.conf"]).each |Integer $index, String $file| {
      concat::fragment { $file: 
         target => "/etc/telegraf/telegraf.conf",
         source => $file,
         order  => $index
      }
   }

   sunet::docker_run {"telegraf": 
      image     => "docker.sunet.se/eduid/telegraf",
      image_tag => $version,
      volumes   => ["/dev/log:/dev/log","/var/log:/var/log","/etc/telegraf:/etc/telegraf"],
      env       => ["INFLUXDB2_TOKEN=$influxdb2_token"]
   }
}
